import javax.swing.*;
import java.awt.Graphics;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class cizgi1 extends JFrame
{
 String isim;
 
 public cizgi1(String a)
 {
 super(a);	 
 }

 public void paint(Graphics g)
 {
 Graphics2D g2=(Graphics2D)g;	 
 g2.setFont(new Font("Serif",Font.BOLD,24));	 
 g2.setColor(Color.red);
 g2.setStroke(new BasicStroke(5.0f));
 Line2D x=new Line2D.Double(50,50,200,500);
 g2.draw(x);	 
 }
    public static void main(String s[])
    {
        cizgi1 f = new cizgi1("cizgi1 cizme programę");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        f.setSize(800,500);
        f.setVisible(true);        
    }
}

